wxWidgets: wxRichTextCommand Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
wxRichTextCommand Class Reference
Class List by Category » Rich Text

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-3.x86_64/src/wxWidgets-3.1.5/interface/wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextCommand:
[legend]

## Detailed Description

Implements a command on the undo/redo stack.

A wxRichTextCommand object contains one or more wxRichTextAction objects, allowing aggregation of a number of operations into one command.

##

Library: wxRichText

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxRichTextAction

## Public Member Functions
| wxRichTextCommand (const wxString &name, wxRichTextCommandId id, wxRichTextBuffer *buffer, wxRichTextParagraphLayoutBox *container, wxRichTextCtrl *ctrl, bool ignoreFirstTime=false)
| Constructor for one action.
| wxRichTextCommand (const wxString &name)
| Constructor for multiple actions.
virtual | ~wxRichTextCommand ()
bool | Do ()
| Performs the command.
bool | Undo ()
| Undoes the command.
void | AddAction (wxRichTextAction *action)
| Adds an action to the action list.
void | ClearActions ()
| Clears the action list.
wxList & | GetActions ()
| Returns the action list.
Public Member Functions inherited from wxCommand
| wxCommand (bool canUndo=false, const wxString &name=wxEmptyString)
| Constructor.
virtual | ~wxCommand ()
| Destructor.
virtual bool | CanUndo () const
| Returns true if the command can be undone, false otherwise.
virtual wxString | GetName () const
| Returns the command name.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Protected Attributes
wxList | m_actions
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.

## Constructor & Destructor Documentation

## ◆ wxRichTextCommand() [1/2]

wxRichTextCommand::wxRichTextCommand | ( | const wxString & | name,
|  | wxRichTextCommandId | id,
|  | wxRichTextBuffer * | buffer,
|  | wxRichTextParagraphLayoutBox * | container,
|  | wxRichTextCtrl * | ctrl,
|  | bool | ignoreFirstTime = false )

Constructor for one action.

## ◆ wxRichTextCommand() [2/2]

wxRichTextCommand::wxRichTextCommand | ( | const wxString & | name | ) |

Constructor for multiple actions.

## ◆ ~wxRichTextCommand()

virtual wxRichTextCommand::~wxRichTextCommand | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ AddAction()

void wxRichTextCommand::AddAction | ( | wxRichTextAction * | action | ) |

Adds an action to the action list.

## ◆ ClearActions()

void wxRichTextCommand::ClearActions | ( |  | ) |

Clears the action list.

## ◆ Do()

bool wxRichTextCommand::Do | ( |  | ) |
| virtual

Performs the command.

Implements wxCommand.

## ◆ GetActions()

wxList & wxRichTextCommand::GetActions | ( |  | ) |
| inline

Returns the action list.

## ◆ Undo()

bool wxRichTextCommand::Undo | ( |  | ) |
| virtual

Undoes the command.

Implements wxCommand.

## Member Data Documentation

## ◆ m_actions

wxList wxRichTextCommand::m_actions
| protected